curl --request GET \
--url https://openapi.rocketpunch.com/v1/jobs \
--header 'X-RP-API-Key: <api-key>'import requests
url = "https://openapi.rocketpunch.com/v1/jobs"
headers = {"X-RP-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-RP-API-Key': '<api-key>'}};
fetch('https://openapi.rocketpunch.com/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.rocketpunch.com/v1/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-RP-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.rocketpunch.com/v1/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-RP-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.rocketpunch.com/v1/jobs")
.header("X-RP-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.rocketpunch.com/v1/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-RP-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"totalItems": 123,
"totalPages": 123,
"page": 123,
"pageSize": 123,
"items": [
{
"jobId": 9001234,
"title": "Backend Engineer (Kotlin/Spring)",
"seniorities": [
"<string>"
],
"employmentTypes": [
"<string>"
],
"company": {
"name": "<string>",
"id": "<string>",
"logoUrl": "<string>",
"industry": "<string>",
"size": "TINY"
},
"webUrl": "<string>",
"subtitle": "<string>",
"jobCategory": "<string>",
"workType": "ONSITE",
"endAt": "<string>"
}
]
}{
"code": "C0005",
"message": "pageSize must be 50 or less. Input: 51",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}{
"code": "C0005",
"message": "pageSize must be 50 or less. Input: 51",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}Search and list jobs
Request job-read access when registering an app or from its details page, then obtain approval from a RocketPunch administrator. Existing apps also require explicit administrator approval. The same app approval is required for both App Key and OAuth Bearer authentication. Searches actively hiring jobs with pagination. Multiple values in the same filter are combined with OR; different filters are combined with AND. Public job list, search, and detail responses share a per-app default budget of 10 job records/minute, 30/hour, and 100/day. A list of 10 jobs consumes 10 records; a detail response consumes 1. Repeated reads also count. Responses exceeding the remaining budget are rejected in full with 429. Existing global request limits also apply.
curl --request GET \
--url https://openapi.rocketpunch.com/v1/jobs \
--header 'X-RP-API-Key: <api-key>'import requests
url = "https://openapi.rocketpunch.com/v1/jobs"
headers = {"X-RP-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-RP-API-Key': '<api-key>'}};
fetch('https://openapi.rocketpunch.com/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.rocketpunch.com/v1/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-RP-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.rocketpunch.com/v1/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-RP-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.rocketpunch.com/v1/jobs")
.header("X-RP-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.rocketpunch.com/v1/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-RP-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"totalItems": 123,
"totalPages": 123,
"page": 123,
"pageSize": 123,
"items": [
{
"jobId": 9001234,
"title": "Backend Engineer (Kotlin/Spring)",
"seniorities": [
"<string>"
],
"employmentTypes": [
"<string>"
],
"company": {
"name": "<string>",
"id": "<string>",
"logoUrl": "<string>",
"industry": "<string>",
"size": "TINY"
},
"webUrl": "<string>",
"subtitle": "<string>",
"jobCategory": "<string>",
"workType": "ONSITE",
"endAt": "<string>"
}
]
}{
"code": "C0005",
"message": "pageSize must be 50 or less. Input: 51",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}{
"code": "C0005",
"message": "pageSize must be 50 or less. Input: 51",
"timestamp": "2026-05-20T09:00:00",
"details": "startDate"
}Headers
Query Parameters
Response
Success.
Paginated response. page starts at 1. If page > totalPages, items is an empty array.
Was this page helpful?